mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true)

Surrogate selectors implement the interface to assist formatters in selecting surrogates to delegate to the serialization or deserialization of other objects.

Indicates a serialization surrogate selector class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is protected by a for the with the specified.

  Specifies the next for surrogates to examine if the current instance does not have a surrogate for the specified type and assembly in the specified context.

  The next surrogate selector to examine.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.ISurrogateSelector

  This method is protected by a for the with the specified.

  Returns the next surrogate selector in the chain.

  The next surrogate selector in the chain or null.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.ISerializationSurrogate `` `` `` To be added: an object of type 'Type' To be added: an object of type 'StreamingContext' To be added: an object of type 'ISurrogateSelector&' To be added To be added: an object of type 'ISerializationSurrogate' To be added